<?php 

	$urja_solar_energy_custom_style = '';

	// Logo Size
	$urja_solar_energy_logo_top_padding = get_theme_mod('urja_solar_energy_logo_top_padding');
	$urja_solar_energy_logo_bottom_padding = get_theme_mod('urja_solar_energy_logo_bottom_padding');
	$urja_solar_energy_logo_left_padding = get_theme_mod('urja_solar_energy_logo_left_padding');
	$urja_solar_energy_logo_right_padding = get_theme_mod('urja_solar_energy_logo_right_padding');

	if( $urja_solar_energy_logo_top_padding != '' || $urja_solar_energy_logo_bottom_padding != '' || $urja_solar_energy_logo_left_padding != '' || $urja_solar_energy_logo_right_padding != ''){
		$urja_solar_energy_custom_style .=' .logo {';
			$urja_solar_energy_custom_style .=' padding-top: '.esc_attr($urja_solar_energy_logo_top_padding).'px; padding-bottom: '.esc_attr($urja_solar_energy_logo_bottom_padding).'px; padding-left: '.esc_attr($urja_solar_energy_logo_left_padding).'px; padding-right: '.esc_attr($urja_solar_energy_logo_right_padding).'px;';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_logo_size = get_theme_mod('urja_solar_energy_logo_size');
	if( $urja_solar_energy_logo_size != '' ) {
		if($urja_solar_energy_logo_size >= 0 && $urja_solar_energy_logo_size <= 100) {
			$calculated_width = $urja_solar_energy_logo_size * 3.5;
			$urja_solar_energy_custom_style .= ' .custom-logo-link img {';
			$urja_solar_energy_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px;';
			$urja_solar_energy_custom_style .= ' }';
		}
	}

	// service section padding
	$urja_solar_energy_service_section_padding = get_theme_mod('urja_solar_energy_service_section_padding');

	if( $urja_solar_energy_service_section_padding != ''){
		$urja_solar_energy_custom_style .=' #our-services {';
			$urja_solar_energy_custom_style .=' padding-top: '.esc_attr($urja_solar_energy_service_section_padding).'px; padding-bottom: '.esc_attr($urja_solar_energy_service_section_padding).'px;';
		$urja_solar_energy_custom_style .=' }';
	}

	// Site Title Font Size
	$urja_solar_energy_site_title_font_size = get_theme_mod('urja_solar_energy_site_title_font_size');
	if( $urja_solar_energy_site_title_font_size != ''){
		$urja_solar_energy_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$urja_solar_energy_custom_style .=' font-size: '.esc_attr($urja_solar_energy_site_title_font_size).'px;';
		$urja_solar_energy_custom_style .=' }';
	}

	// Site Tagline Font Size
	$urja_solar_energy_site_tagline_font_size = get_theme_mod('urja_solar_energy_site_tagline_font_size');
	if( $urja_solar_energy_site_tagline_font_size != ''){
		$urja_solar_energy_custom_style .=' .logo p.site-description {';
			$urja_solar_energy_custom_style .=' font-size: '.esc_attr($urja_solar_energy_site_tagline_font_size).'px;';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_slider_hide_show = get_theme_mod('urja_solar_energy_slider_hide_show',false);
	if( $urja_solar_energy_slider_hide_show == true){
		$urja_solar_energy_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$urja_solar_energy_custom_style .=' display:none;';
		$urja_solar_energy_custom_style .=' }';
	}

	// Footer css
	$urja_solar_energy_copyright_padding = get_theme_mod('urja_solar_energy_copyright_padding');

	if( $urja_solar_energy_copyright_padding != ''){
		$urja_solar_energy_custom_style .=' .copyright {';
			$urja_solar_energy_custom_style .=' padding-top: '.esc_attr($urja_solar_energy_copyright_padding).'px; padding-bottom: '.esc_attr($urja_solar_energy_copyright_padding).'px;';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_copyright_color = get_theme_mod('urja_solar_energy_copyright_color');

	if ( $urja_solar_energy_copyright_color != '') {
		$urja_solar_energy_custom_style .=' .site-info p a{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_copyright_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_copyrightbg_color = get_theme_mod('urja_solar_energy_copyrightbg_color');

	if ( $urja_solar_energy_copyrightbg_color != '') {
		$urja_solar_energy_custom_style .=' .copyright{';
			$urja_solar_energy_custom_style .=' background-color:'.esc_attr($urja_solar_energy_copyrightbg_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_widgets_color = get_theme_mod('urja_solar_energy_widgets_color');
	if ( $urja_solar_energy_widgets_color != '') {
		$urja_solar_energy_custom_style .=' h3.widget-title{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_widgets_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_widgets_menu_color = get_theme_mod('urja_solar_energy_widgets_menu_color');
	if ( $urja_solar_energy_widgets_menu_color != '') {
		$urja_solar_energy_custom_style .=' .widget ul li a, .site-footer .widget-area ul li a, .site-footer .widget-area ul li a{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_widgets_menu_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	//Top bar color
	$urja_solar_energy_toptext_color = get_theme_mod('urja_solar_energy_toptext_color');

	if ( $urja_solar_energy_toptext_color != '') {
		$urja_solar_energy_custom_style .=' .top span, .social-icons span{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_toptext_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_topicon_color = get_theme_mod('urja_solar_energy_topicon_color');

	if ( $urja_solar_energy_topicon_color != '') {
		$urja_solar_energy_custom_style .=' .social-icons i{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_topicon_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_topbg_color = get_theme_mod('urja_solar_energy_topbg_color');

	if ( $urja_solar_energy_topbg_color != '') {
		$urja_solar_energy_custom_style .=' .top-header{';
			$urja_solar_energy_custom_style .=' background-color:'.esc_attr($urja_solar_energy_topbg_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	//Header color
	$urja_solar_energy_headertext_color = get_theme_mod('urja_solar_energy_headertext_color');

	if ( $urja_solar_energy_headertext_color != '') {
		$urja_solar_energy_custom_style .=' .call p a, .call p, .address p, .timing p{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_headertext_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_headericon_color = get_theme_mod('urja_solar_energy_headericon_color');

	if ( $urja_solar_energy_headericon_color != '') {
		$urja_solar_energy_custom_style .=' .call i, .address i, .timing i{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_headericon_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_headerbg_color = get_theme_mod('urja_solar_energy_headerbg_color');

	if ( $urja_solar_energy_headerbg_color != '') {
		$urja_solar_energy_custom_style .=' div#contact{';
			$urja_solar_energy_custom_style .=' background-color:'.esc_attr($urja_solar_energy_headerbg_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_headermenu_color = get_theme_mod('urja_solar_energy_headermenu_color');

	if ( $urja_solar_energy_headermenu_color != '') {
		$urja_solar_energy_custom_style .=' .nav-menu a{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_headermenu_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_headermenuhvr_color = get_theme_mod('urja_solar_energy_headermenuhvr_color');

	if ( $urja_solar_energy_headermenuhvr_color != '') {
		$urja_solar_energy_custom_style .=' .nav-menu ul li a:active, .nav-menu ul li a:hover{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_headermenuhvr_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_headermenubg_color = get_theme_mod('urja_solar_energy_headermenubg_color');

	if ( $urja_solar_energy_headermenubg_color != '') {
		$urja_solar_energy_custom_style .=' .page-template-custom-home-page #header{';
			$urja_solar_energy_custom_style .=' background-color:'.esc_attr($urja_solar_energy_headermenubg_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	//Menu animation
	$urja_solar_energy_dropdown_anim = get_theme_mod('urja_solar_energy_dropdown_anim');

	if ( $urja_solar_energy_dropdown_anim != '') {
		$urja_solar_energy_custom_style .=' .nav-menu ul ul {';
			$urja_solar_energy_custom_style .=' animation:'.esc_attr($urja_solar_energy_dropdown_anim).' 1s ease;';
		$urja_solar_energy_custom_style .=' }';
	}

	//Slider color

	$urja_solar_energy_slider_title_font_size = get_theme_mod('urja_solar_energy_slider_title_font_size');

	if( $urja_solar_energy_slider_title_font_size != ''){
		$urja_solar_energy_custom_style .=' #slider .inner_carousel h1 {';
			$urja_solar_energy_custom_style .=' font-size: '.esc_attr($urja_solar_energy_slider_title_font_size).'px;';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_slider_text_font_size = get_theme_mod('urja_solar_energy_slider_text_font_size');

	if( $urja_solar_energy_slider_text_font_size != ''){
		$urja_solar_energy_custom_style .=' #slider .inner_carousel p {';
			$urja_solar_energy_custom_style .=' font-size: '.esc_attr($urja_solar_energy_slider_text_font_size).'px;';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_slidertitle_color = get_theme_mod('urja_solar_energy_slidertitle_color');

	if ( $urja_solar_energy_slidertitle_color != '') {
		$urja_solar_energy_custom_style .=' #slider .inner_carousel h1 {';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_slidertitle_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_slidertext_color = get_theme_mod('urja_solar_energy_slidertext_color');

	if ( $urja_solar_energy_slidertext_color != '') {
		$urja_solar_energy_custom_style .=' #slider .inner_carousel p{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_slidertext_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_sliderbtn_color = get_theme_mod('urja_solar_energy_sliderbtn_color');
	$urja_solar_energy_sliderbtnbg_color = get_theme_mod('urja_solar_energy_sliderbtnbg_color');

	if ( $urja_solar_energy_sliderbtn_color != '') {
		$urja_solar_energy_custom_style .=' #slider .read-btn a.blogbutton-small, #slider .read-btn i{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_sliderbtn_color).'; background-color:'.esc_attr($urja_solar_energy_sliderbtnbg_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_slidernp_color = get_theme_mod('urja_solar_energy_slidernp_color');
	$urja_solar_energy_slidernpbg_color = get_theme_mod('urja_solar_energy_slidernpbg_color');

	if ( $urja_solar_energy_slidernp_color != '') {
		$urja_solar_energy_custom_style .=' #slider .carousel-control-next-icon, #slider .carousel-control-prev-icon{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_slidernp_color).'; background-color:'.esc_attr($urja_solar_energy_slidernpbg_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	//service color
	$urja_solar_energy_our_services_title_font_size = get_theme_mod('urja_solar_energy_our_services_title_font_size');

	if( $urja_solar_energy_our_services_title_font_size != ''){
		$urja_solar_energy_custom_style .=' #our-services h2 {';
			$urja_solar_energy_custom_style .=' font-size: '.esc_attr($urja_solar_energy_our_services_title_font_size).'px;';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_our_services_post_title_font_size = get_theme_mod('urja_solar_energy_our_services_post_title_font_size');

	if( $urja_solar_energy_our_services_post_title_font_size != ''){
		$urja_solar_energy_custom_style .=' #our-services .content h3 {';
			$urja_solar_energy_custom_style .=' font-size: '.esc_attr($urja_solar_energy_our_services_post_title_font_size).'px;';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_our_services_post_text_font_size = get_theme_mod('urja_solar_energy_our_services_post_text_font_size');

	if( $urja_solar_energy_our_services_post_text_font_size != ''){
		$urja_solar_energy_custom_style .=' #our-services .content p {';
			$urja_solar_energy_custom_style .=' font-size: '.esc_attr($urja_solar_energy_our_services_post_text_font_size).'px;';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_img_hight = get_theme_mod('urja_solar_energy_img_hight');

	if( $urja_solar_energy_img_hight != ''){
		$urja_solar_energy_custom_style .=' #our-services .service-img img {';
			$urja_solar_energy_custom_style .=' height: '.esc_attr($urja_solar_energy_img_hight).'px;';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_serviceheading_color = get_theme_mod('urja_solar_energy_serviceheading_color');

	if ( $urja_solar_energy_serviceheading_color != '') {
		$urja_solar_energy_custom_style .=' #our-services h2{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_serviceheading_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_servicetitle_color = get_theme_mod('urja_solar_energy_servicetitle_color');

	if ( $urja_solar_energy_servicetitle_color != '') {
		$urja_solar_energy_custom_style .=' #our-services .content h3 a{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_servicetitle_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_servicetext_color = get_theme_mod('urja_solar_energy_servicetext_color');

	if ( $urja_solar_energy_servicetext_color != '') {
		$urja_solar_energy_custom_style .=' #our-services .content p{';
			$urja_solar_energy_custom_style .=' color:'.esc_attr($urja_solar_energy_servicetext_color).';';
		$urja_solar_energy_custom_style .=' }';
	}

	$urja_solar_energy_servicebox_color = get_theme_mod('urja_solar_energy_servicebox_color');

	if ( $urja_solar_energy_servicebox_color != '') {
		$urja_solar_energy_custom_style .=' #our-services .content:hover {';
			$urja_solar_energy_custom_style .=' background-color:'.esc_attr($urja_solar_energy_servicebox_color).';';
		$urja_solar_energy_custom_style .=' }';
	}